Home

# Class goog.ds.BaseDataNode

Base class for data node functionality, has default implementations for many of the functions. implements goog.ds.DataNode

Instance Method Summary
| `getChildNode(string name, boolean= opt_canCreate) ⇒ ?goog.ds.DataNode` Gets a named child node of the current node
| `getChildNodeValue(string name) ⇒ ?Object` Gets the value of a child node
| `getChildNodes(string= opt_selector) ⇒ ?goog.ds.DataNodeList` Gets all of the child nodes of the current node. Should return an empty DataNode list if no child nodes.
| `getDataName() ⇒ string` Get the name of the node relative to the parent node
| `getDataPath() ⇒ string` Gets the a qualified data path to this node
| `getLoadState() ⇒ ?goog.ds.LoadState` Gets the state of the backing data for this node
| `load()` Load or reload the backing data for this node
| `set(?Object value)` Set the value of the node